Opened 7 years ago

Closed 6 years ago

Last modified 6 years ago

#11497 closed Bug Report - General (fixed)

ffmpeg1.1 sync: issue with HLS

Reported by: warpme@… Owned by: Jean-Yves Avenard <jyavenard@…>
Priority: minor Milestone: 0.27
Component: MythTV - General Version: Master Head
Severity: medium Keywords: ffmpeg1.1
Cc: Ticket locked: no

Description

After ffmpeg1.1 sync HLS stopped working correctly. Reverting 413213225f solves problem. I'm on master-2157-g47561dc

BE log is following:

2013-04-19 21:07:25.849570 I  Maximal bitrate of busy encoders is 0 KB/min
2013-04-19 21:07:29.849249 I  AutoExpire: Adding Programs to 'Do Not Expire' List
2013-04-19 21:07:40.850477 I  Maximal bitrate of busy encoders is 0 KB/min
2013-04-19 21:07:41.275397 D  SG(LiveTV): FindFile: Searching for '9901_20130419185616.mpg'
2013-04-19 21:07:41.275415 D  SG(LiveTV): FindFileDir: Checking '/myth/tv' for '/myth/tv/9901_20130419185616.mpg'
2013-04-19 21:07:41.275439 D  SG(LiveTV): FindFile: Found '/myth/tv/9901_20130419185616.mpg'
2013-04-19 21:07:41.277609 D  Launching: /usr/bin/mythtranscode --hls --hlsstreamid 84 --verbose general,file,system --loglevel debug --nodblog
2013-04-19 21:07:41.279909 I  Managed child (PID: 1806) has started! * command=/usr/bin/mythtranscode --hls --hlsstreamid 84 --verbose general,file,system --loglevel debug --nodblog, timeout=0
2013-04-19 21:07:41.849878 I  MainServer::ANN Monitor
2013-04-19 21:07:41.849892 I  adding: mythtv as a client (events: 0)
2013-04-19 21:07:41.857134 I  MainServer::ANN Monitor
2013-04-19 21:07:41.857148 I  adding: mythtv as a client (events: 1)
2013-04-19 21:07:43.472063 I  Managed child (PID: 1806) has exited! command=/usr/bin/mythtranscode --hls --hlsstreamid 84 --verbose general,file,system --loglevel debug --nodblog, status=65280, result=255
2013-04-19 21:07:43.493093 W  HLS(): Command '/usr/bin/mythtranscode --hls --hlsstreamid 84 --verbose general,file,system --loglevel debug --nodblog' returned 255
2013-04-19 21:07:55.851376 I  Maximal bitrate of busy encoders is 0 KB/min
2013-04-19 21:08:10.852328 I  Maximal bitrate of busy encoders is 0 KB/min
2013-04-19 21:08:29.848571 I  AutoExpire: CalcParams()
2013-04-19 21:08:29.849325 I  Maximal bitrate of busy encoders is 0 KB/min

Running transcode manually gives following log:

[root@mythtv bin]# /usr/bin/mythtranscode --hls --hlsstreamid 84 --verbose general,file,system --loglevel debug --nodblog
2013-04-19 21:14:00.350833 C  mythtranscode version: master [v0.26-pre-2157-g47561dc-dirty-20130412] www.mythtv.org
2013-04-19 21:14:00.350860 C  Qt version: compile: 4.8.1, runtime: 4.8.1
2013-04-19 21:14:00.350866 N  Enabled verbose msgs:  general file system
2013-04-19 21:14:00.350883 N  Setting Log Level to LOG_DEBUG
2013-04-19 21:14:00.351363 I  Added logging to the console
2013-04-19 21:14:00.352775 I  Setup Interrupt handler
2013-04-19 21:14:00.352789 I  Setup Terminated handler
2013-04-19 21:14:00.352799 I  Setup Segmentation fault handler
2013-04-19 21:14:00.352808 I  Setup Aborted handler
2013-04-19 21:14:00.352839 I  Setup Bus error handler
2013-04-19 21:14:00.352849 I  Setup Floating point exception handler
2013-04-19 21:14:00.352858 I  Setup Illegal instruction handler
2013-04-19 21:14:00.352872 I  Setup Real-time signal 0 handler
2013-04-19 21:14:00.352928 N  Using runtime prefix = /usr
2013-04-19 21:14:00.352946 N  Using configuration directory = /root/.mythtv
2013-04-19 21:14:00.353042 I  Assumed character encoding: en_US.UTF-8
2013-04-19 21:14:00.353527 N  Empty LocalHostName.
2013-04-19 21:14:00.353540 I  Using localhost value of mythtv
2013-04-19 21:14:00.353588 I  Testing network connectivity to '192.168.1.221'
2013-04-19 21:14:00.354416 I  Starting process manager
2013-04-19 21:14:00.354510 I  Starting process signal handler
2013-04-19 21:14:00.361795 D  Launching: ping -t 3 -c 1  192.168.1.221  >/dev/null 2>&1
2013-04-19 21:14:00.363870 I  Managed child (PID: 1847) has started! * command=ping -t 3 -c 1  192.168.1.221  >/dev/null 2>&1, timeout=0
2013-04-19 21:14:00.367584 I  Starting IO manager (read)
2013-04-19 21:14:00.367743 I  Starting IO manager (write)
2013-04-19 21:14:00.455152 I  Managed child (PID: 1847) has exited! command=ping -t 3 -c 1  192.168.1.221  >/dev/null 2>&1, status=0, result=0
2013-04-19 21:14:00.470799 D  FindDatabase() - Success!
2013-04-19 21:14:00.472626 N  Setting QT default locale to pl_US
2013-04-19 21:14:00.472642 I  Current locale pl_US
2013-04-19 21:14:00.472695 E  No locale defaults file for pl_US, skipping
2013-04-19 21:14:00.473041 I  Loading pl translation for module mythfrontend
2013-04-19 21:14:00.476392 E  (old)Settings::ReadSettings(settings.txt) - No such file settings.txt
2013-04-19 21:14:00.476681 N  Transcoding HTTP Live Stream ID 84
2013-04-19 21:14:00.479086 D  SG(LiveTV): FindFile: Searching for '9901_20130419185616.mpg'
2013-04-19 21:14:00.479106 D  SG(LiveTV): FindFileDir: Checking '/myth/tv' for '/myth/tv/9901_20130419185616.mpg'
2013-04-19 21:14:00.479128 D  SG(LiveTV): FindFile: Found '/myth/tv/9901_20130419185616.mpg'
2013-04-19 21:14:00.479138 I  ProgramInfo(9901_20130419185616.mpg): GetPlaybackURL: File is local: '/myth/tv/9901_20130419185616.mpg'
2013-04-19 21:14:00.481487 I  FileRingBuf(/myth/tv/9901_20130419185616.mpg): OpenFile() made 1 attempts in 0 ms
2013-04-19 21:14:00.481512 I  RingBuf(/myth/tv/9901_20130419185616.mpg): CalcReadAheadThresh(8000 Kb)
			 -> threshhold(3584 KB) min read(352 KB) blk size(128 KB)
2013-04-19 21:14:00.495145 I  RingBuf(/myth/tv/9901_20130419185616.mpg): Unpause()
2013-04-19 21:14:00.495158 I  RingBuf(/myth/tv/9901_20130419185616.mpg): StartReads()
2013-04-19 21:14:00.495199 D  RingBuf(/myth/tv/9901_20130419185616.mpg): ReadPriv(..2048, peek) @0 -- begin
2013-04-19 21:14:00.495231 I  FileRingBuf(/myth/tv/9901_20130419185616.mpg): Seek(0,SEEK_SET,locked)
2013-04-19 21:14:00.495238 I  RingBuf(/myth/tv/9901_20130419185616.mpg): StopReads()
2013-04-19 21:14:00.495243 I  RingBuf(/myth/tv/9901_20130419185616.mpg): StartReads()
2013-04-19 21:14:00.495273 I  FileRingBuf(/myth/tv/9901_20130419185616.mpg): Seek(): Offset from end: 182211856
2013-04-19 21:14:00.495301 D  RingBuf(/myth/tv/9901_20130419185616.mpg): ReadPriv(..2048, peek): ReadDirect checksum 26758
2013-04-19 21:14:00.498533 D  RingBuf(/myth/tv/9901_20130419185616.mpg): ReadPriv(..32768, normal) @0 -- begin
2013-04-19 21:14:00.498773 D  RingBuf(/myth/tv/9901_20130419185616.mpg): ReadPriv(..32768, normal): ReadDirect checksum 3163
2013-04-19 21:14:00.514392 D  RingBuf(/myth/tv/9901_20130419185616.mpg): ReadPriv(..32768, normal) @0 -- begin
2013-04-19 21:14:00.514620 D  RingBuf(/myth/tv/9901_20130419185616.mpg): ReadPriv(..32768, normal): ReadDirect checksum 9350
2013-04-19 21:14:00.514716 D  RingBuf(/myth/tv/9901_20130419185616.mpg): ReadPriv(..32768, normal) @0 -- begin
2013-04-19 21:14:00.514913 D  RingBuf(/myth/tv/9901_20130419185616.mpg): ReadPriv(..32768, normal): ReadDirect checksum 6889
2013-04-19 21:14:00.515022 D  RingBuf(/myth/tv/9901_20130419185616.mpg): ReadPriv(..32768, normal) @0 -- begin
2013-04-19 21:14:00.515214 D  RingBuf(/myth/tv/9901_20130419185616.mpg): ReadPriv(..32768, normal): ReadDirect checksum 34786
2013-04-19 21:14:00.515389 D  RingBuf(/myth/tv/9901_20130419185616.mpg): ReadPriv(..32768, normal) @0 -- begin
2013-04-19 21:14:00.515587 D  RingBuf(/myth/tv/9901_20130419185616.mpg): ReadPriv(..32768, normal): ReadDirect checksum 47825
2013-04-19 21:14:00.515901 D  RingBuf(/myth/tv/9901_20130419185616.mpg): ReadPriv(..32768, normal) @0 -- begin
2013-04-19 21:14:00.516099 D  RingBuf(/myth/tv/9901_20130419185616.mpg): ReadPriv(..32768, normal): ReadDirect checksum 34924
2013-04-19 21:14:00.516194 D  RingBuf(/myth/tv/9901_20130419185616.mpg): ReadPriv(..32768, normal) @0 -- begin
2013-04-19 21:14:00.516386 D  RingBuf(/myth/tv/9901_20130419185616.mpg): ReadPriv(..32768, normal): ReadDirect checksum 30530
2013-04-19 21:14:00.516567 D  RingBuf(/myth/tv/9901_20130419185616.mpg): ReadPriv(..32768, normal) @0 -- begin
2013-04-19 21:14:00.516791 D  RingBuf(/myth/tv/9901_20130419185616.mpg): ReadPriv(..32768, normal): ReadDirect checksum 50698
2013-04-19 21:14:00.517392 D  RingBuf(/myth/tv/9901_20130419185616.mpg): ReadPriv(..32768, normal) @0 -- begin
2013-04-19 21:14:00.517608 D  RingBuf(/myth/tv/9901_20130419185616.mpg): ReadPriv(..32768, normal): ReadDirect checksum 13186
2013-04-19 21:14:00.534625 I  MythCoreContext: Connecting to backend server: 192.168.1.221:6543 (try 1 of 1)
2013-04-19 21:14:00.539376 I  Using protocol version 77
2013-04-19 21:14:00.591483 I  Added logging to mythlogserver at TCP:35327
2013-04-19 21:14:00.624841 D  RingBuf(/myth/tv/9901_20130419185616.mpg): ReadPriv(..32768, normal) @0 -- begin
2013-04-19 21:14:00.625072 D  RingBuf(/myth/tv/9901_20130419185616.mpg): ReadPriv(..32768, normal): ReadDirect checksum 59398
2013-04-19 21:14:00.643115 D  RingBuf(/myth/tv/9901_20130419185616.mpg): ReadPriv(..32768, normal) @0 -- begin
2013-04-19 21:14:00.643347 D  RingBuf(/myth/tv/9901_20130419185616.mpg): ReadPriv(..32768, normal): ReadDirect checksum 42369
2013-04-19 21:14:00.729023 D  RingBuf(/myth/tv/9901_20130419185616.mpg): ReadPriv(..32768, normal) @0 -- begin
2013-04-19 21:14:00.729254 D  RingBuf(/myth/tv/9901_20130419185616.mpg): ReadPriv(..32768, normal): ReadDirect checksum 6032
2013-04-19 21:14:00.729450 D  RingBuf(/myth/tv/9901_20130419185616.mpg): ReadPriv(..32768, normal) @0 -- begin
2013-04-19 21:14:00.729645 D  RingBuf(/myth/tv/9901_20130419185616.mpg): ReadPriv(..32768, normal): ReadDirect checksum 29399
2013-04-19 21:14:00.802533 D  RingBuf(/myth/tv/9901_20130419185616.mpg): ReadPriv(..32768, normal) @0 -- begin
2013-04-19 21:14:00.802779 D  RingBuf(/myth/tv/9901_20130419185616.mpg): ReadPriv(..32768, normal): ReadDirect checksum 59451
2013-04-19 21:14:00.817712 D  RingBuf(/myth/tv/9901_20130419185616.mpg): ReadPriv(..32768, normal) @0 -- begin
2013-04-19 21:14:00.817936 D  RingBuf(/myth/tv/9901_20130419185616.mpg): ReadPriv(..32768, normal): ReadDirect checksum 32700
2013-04-19 21:14:00.818200 D  RingBuf(/myth/tv/9901_20130419185616.mpg): ReadPriv(..32768, normal) @0 -- begin
2013-04-19 21:14:00.818395 D  RingBuf(/myth/tv/9901_20130419185616.mpg): ReadPriv(..32768, normal): ReadDirect checksum 21443
2013-04-19 21:14:00.818786 D  RingBuf(/myth/tv/9901_20130419185616.mpg): ReadPriv(..32768, normal) @0 -- begin
2013-04-19 21:14:00.818997 D  RingBuf(/myth/tv/9901_20130419185616.mpg): ReadPriv(..32768, normal): ReadDirect checksum 62433
2013-04-19 21:14:00.819176 D  RingBuf(/myth/tv/9901_20130419185616.mpg): ReadPriv(..32768, normal) @0 -- begin
2013-04-19 21:14:00.819371 D  RingBuf(/myth/tv/9901_20130419185616.mpg): ReadPriv(..32768, normal): ReadDirect checksum 22767
2013-04-19 21:14:00.819518 D  RingBuf(/myth/tv/9901_20130419185616.mpg): ReadPriv(..32768, normal) @0 -- begin
2013-04-19 21:14:00.819712 D  RingBuf(/myth/tv/9901_20130419185616.mpg): ReadPriv(..32768, normal): ReadDirect checksum 26154
2013-04-19 21:14:00.819886 D  RingBuf(/myth/tv/9901_20130419185616.mpg): ReadPriv(..32768, normal) @0 -- begin
2013-04-19 21:14:00.820116 D  RingBuf(/myth/tv/9901_20130419185616.mpg): ReadPriv(..32768, normal): ReadDirect checksum 57782
2013-04-19 21:14:00.820459 D  RingBuf(/myth/tv/9901_20130419185616.mpg): ReadPriv(..32768, normal) @0 -- begin
2013-04-19 21:14:00.820656 D  RingBuf(/myth/tv/9901_20130419185616.mpg): ReadPriv(..32768, normal): ReadDirect checksum 40464
2013-04-19 21:14:00.820873 D  RingBuf(/myth/tv/9901_20130419185616.mpg): ReadPriv(..32768, normal) @0 -- begin
2013-04-19 21:14:00.821070 D  RingBuf(/myth/tv/9901_20130419185616.mpg): ReadPriv(..32768, normal): ReadDirect checksum 8854
2013-04-19 21:14:00.821323 D  RingBuf(/myth/tv/9901_20130419185616.mpg): ReadPriv(..32768, normal) @0 -- begin
2013-04-19 21:14:00.821522 D  RingBuf(/myth/tv/9901_20130419185616.mpg): ReadPriv(..32768, normal): ReadDirect checksum 28648
2013-04-19 21:14:00.821824 D  RingBuf(/myth/tv/9901_20130419185616.mpg): ReadPriv(..32768, normal) @0 -- begin
2013-04-19 21:14:00.822020 D  RingBuf(/myth/tv/9901_20130419185616.mpg): ReadPriv(..32768, normal): ReadDirect checksum 42361
2013-04-19 21:14:00.822104 D  RingBuf(/myth/tv/9901_20130419185616.mpg): ReadPriv(..32768, normal) @0 -- begin
2013-04-19 21:14:00.822298 D  RingBuf(/myth/tv/9901_20130419185616.mpg): ReadPriv(..32768, normal): ReadDirect checksum 19551
2013-04-19 21:14:00.822584 D  RingBuf(/myth/tv/9901_20130419185616.mpg): ReadPriv(..32768, normal) @0 -- begin
2013-04-19 21:14:00.822787 D  RingBuf(/myth/tv/9901_20130419185616.mpg): ReadPriv(..32768, normal): ReadDirect checksum 50679
2013-04-19 21:14:00.823071 D  RingBuf(/myth/tv/9901_20130419185616.mpg): ReadPriv(..32768, normal) @0 -- begin
2013-04-19 21:14:00.823276 D  RingBuf(/myth/tv/9901_20130419185616.mpg): ReadPriv(..32768, normal): ReadDirect checksum 41130
2013-04-19 21:14:00.823440 D  RingBuf(/myth/tv/9901_20130419185616.mpg): ReadPriv(..32768, normal) @0 -- begin
2013-04-19 21:14:00.823644 D  RingBuf(/myth/tv/9901_20130419185616.mpg): ReadPriv(..32768, normal): ReadDirect checksum 6867
2013-04-19 21:14:00.823889 D  RingBuf(/myth/tv/9901_20130419185616.mpg): ReadPriv(..32768, normal) @0 -- begin
2013-04-19 21:14:00.824089 D  RingBuf(/myth/tv/9901_20130419185616.mpg): ReadPriv(..32768, normal): ReadDirect checksum 2783
2013-04-19 21:14:00.824269 D  RingBuf(/myth/tv/9901_20130419185616.mpg): ReadPriv(..32768, normal) @0 -- begin
2013-04-19 21:14:00.824462 D  RingBuf(/myth/tv/9901_20130419185616.mpg): ReadPriv(..32768, normal): ReadDirect checksum 13344
2013-04-19 21:14:00.824734 D  RingBuf(/myth/tv/9901_20130419185616.mpg): ReadPriv(..32768, normal) @0 -- begin
2013-04-19 21:14:00.824936 D  RingBuf(/myth/tv/9901_20130419185616.mpg): ReadPriv(..32768, normal): ReadDirect checksum 59560
2013-04-19 21:14:00.825186 D  RingBuf(/myth/tv/9901_20130419185616.mpg): ReadPriv(..32768, normal) @0 -- begin
2013-04-19 21:14:00.825386 D  RingBuf(/myth/tv/9901_20130419185616.mpg): ReadPriv(..32768, normal): ReadDirect checksum 53871
2013-04-19 21:14:00.825495 D  RingBuf(/myth/tv/9901_20130419185616.mpg): ReadPriv(..32768, normal) @0 -- begin
2013-04-19 21:14:00.825689 D  RingBuf(/myth/tv/9901_20130419185616.mpg): ReadPriv(..32768, normal): ReadDirect checksum 51766
2013-04-19 21:14:00.825940 D  RingBuf(/myth/tv/9901_20130419185616.mpg): ReadPriv(..32768, normal) @0 -- begin
2013-04-19 21:14:00.826137 D  RingBuf(/myth/tv/9901_20130419185616.mpg): ReadPriv(..32768, normal): ReadDirect checksum 65393
2013-04-19 21:14:00.826228 D  RingBuf(/myth/tv/9901_20130419185616.mpg): ReadPriv(..32768, normal) @0 -- begin
2013-04-19 21:14:00.826426 D  RingBuf(/myth/tv/9901_20130419185616.mpg): ReadPriv(..32768, normal): ReadDirect checksum 41960
2013-04-19 21:14:00.826579 D  RingBuf(/myth/tv/9901_20130419185616.mpg): ReadPriv(..32768, normal) @0 -- begin
2013-04-19 21:14:00.826803 D  RingBuf(/myth/tv/9901_20130419185616.mpg): ReadPriv(..32768, normal): ReadDirect checksum 19588
2013-04-19 21:14:00.827043 D  RingBuf(/myth/tv/9901_20130419185616.mpg): ReadPriv(..32768, normal) @0 -- begin
2013-04-19 21:14:00.827238 D  RingBuf(/myth/tv/9901_20130419185616.mpg): ReadPriv(..32768, normal): ReadDirect checksum 37144
2013-04-19 21:14:00.827341 D  RingBuf(/myth/tv/9901_20130419185616.mpg): ReadPriv(..32768, normal) @0 -- begin
2013-04-19 21:14:00.827534 D  RingBuf(/myth/tv/9901_20130419185616.mpg): ReadPriv(..32768, normal): ReadDirect checksum 11405
2013-04-19 21:14:00.827914 D  RingBuf(/myth/tv/9901_20130419185616.mpg): ReadPriv(..32768, normal) @0 -- begin
2013-04-19 21:14:00.828132 D  RingBuf(/myth/tv/9901_20130419185616.mpg): ReadPriv(..32768, normal): ReadDirect checksum 4923
2013-04-19 21:14:00.828912 D  RingBuf(/myth/tv/9901_20130419185616.mpg): ReadPriv(..32768, normal) @0 -- begin
2013-04-19 21:14:00.829139 D  RingBuf(/myth/tv/9901_20130419185616.mpg): ReadPriv(..32768, normal): ReadDirect checksum 8914
2013-04-19 21:14:00.829362 D  RingBuf(/myth/tv/9901_20130419185616.mpg): ReadPriv(..32768, normal) @0 -- begin
2013-04-19 21:14:00.829563 D  RingBuf(/myth/tv/9901_20130419185616.mpg): ReadPriv(..32768, normal): ReadDirect checksum 9079
2013-04-19 21:14:00.829796 D  RingBuf(/myth/tv/9901_20130419185616.mpg): ReadPriv(..32768, normal) @0 -- begin
2013-04-19 21:14:00.829993 D  RingBuf(/myth/tv/9901_20130419185616.mpg): ReadPriv(..32768, normal): ReadDirect checksum 14549
2013-04-19 21:14:00.830378 D  RingBuf(/myth/tv/9901_20130419185616.mpg): ReadPriv(..32768, normal) @0 -- begin
2013-04-19 21:14:00.830581 D  RingBuf(/myth/tv/9901_20130419185616.mpg): ReadPriv(..32768, normal): ReadDirect checksum 32510
2013-04-19 21:14:00.830743 D  RingBuf(/myth/tv/9901_20130419185616.mpg): ReadPriv(..32768, normal) @0 -- begin
2013-04-19 21:14:00.830939 D  RingBuf(/myth/tv/9901_20130419185616.mpg): ReadPriv(..32768, normal): ReadDirect checksum 62204
2013-04-19 21:14:00.831199 D  RingBuf(/myth/tv/9901_20130419185616.mpg): ReadPriv(..32768, normal) @0 -- begin
2013-04-19 21:14:00.831398 D  RingBuf(/myth/tv/9901_20130419185616.mpg): ReadPriv(..32768, normal): ReadDirect checksum 821
2013-04-19 21:14:00.831590 D  RingBuf(/myth/tv/9901_20130419185616.mpg): ReadPriv(..32768, normal) @0 -- begin
2013-04-19 21:14:00.831787 D  RingBuf(/myth/tv/9901_20130419185616.mpg): ReadPriv(..32768, normal): ReadDirect checksum 13353
2013-04-19 21:14:00.832057 D  RingBuf(/myth/tv/9901_20130419185616.mpg): ReadPriv(..32768, normal) @0 -- begin
2013-04-19 21:14:00.832256 D  RingBuf(/myth/tv/9901_20130419185616.mpg): ReadPriv(..32768, normal): ReadDirect checksum 15766
2013-04-19 21:14:00.832456 D  RingBuf(/myth/tv/9901_20130419185616.mpg): ReadPriv(..32768, normal) @0 -- begin
2013-04-19 21:14:00.832651 D  RingBuf(/myth/tv/9901_20130419185616.mpg): ReadPriv(..32768, normal): ReadDirect checksum 52857
2013-04-19 21:14:00.832825 D  RingBuf(/myth/tv/9901_20130419185616.mpg): ReadPriv(..32768, normal) @0 -- begin
2013-04-19 21:14:00.833024 D  RingBuf(/myth/tv/9901_20130419185616.mpg): ReadPriv(..32768, normal): ReadDirect checksum 15931
2013-04-19 21:14:00.833483 D  RingBuf(/myth/tv/9901_20130419185616.mpg): ReadPriv(..32768, normal) @0 -- begin
2013-04-19 21:14:00.833697 D  RingBuf(/myth/tv/9901_20130419185616.mpg): ReadPriv(..32768, normal): ReadDirect checksum 33562
2013-04-19 21:14:00.833911 D  RingBuf(/myth/tv/9901_20130419185616.mpg): ReadPriv(..32768, normal) @0 -- begin
2013-04-19 21:14:00.834106 D  RingBuf(/myth/tv/9901_20130419185616.mpg): ReadPriv(..32768, normal): ReadDirect checksum 653
2013-04-19 21:14:00.834276 D  RingBuf(/myth/tv/9901_20130419185616.mpg): ReadPriv(..32768, normal) @0 -- begin
2013-04-19 21:14:00.834471 D  RingBuf(/myth/tv/9901_20130419185616.mpg): ReadPriv(..32768, normal): ReadDirect checksum 17371
2013-04-19 21:14:00.834675 D  RingBuf(/myth/tv/9901_20130419185616.mpg): ReadPriv(..32768, normal) @0 -- begin
2013-04-19 21:14:00.834874 D  RingBuf(/myth/tv/9901_20130419185616.mpg): ReadPriv(..32768, normal): ReadDirect checksum 54189
2013-04-19 21:14:00.835032 D  RingBuf(/myth/tv/9901_20130419185616.mpg): ReadPriv(..32768, normal) @0 -- begin
2013-04-19 21:14:00.835227 D  RingBuf(/myth/tv/9901_20130419185616.mpg): ReadPriv(..32768, normal): ReadDirect checksum 64007
2013-04-19 21:14:00.835514 D  RingBuf(/myth/tv/9901_20130419185616.mpg): ReadPriv(..32768, normal) @0 -- begin
2013-04-19 21:14:00.835714 D  RingBuf(/myth/tv/9901_20130419185616.mpg): ReadPriv(..32768, normal): ReadDirect checksum 2187
2013-04-19 21:14:00.835967 D  RingBuf(/myth/tv/9901_20130419185616.mpg): ReadPriv(..32768, normal) @0 -- begin
2013-04-19 21:14:00.836163 D  RingBuf(/myth/tv/9901_20130419185616.mpg): ReadPriv(..32768, normal): ReadDirect checksum 22155
2013-04-19 21:14:00.836269 D  RingBuf(/myth/tv/9901_20130419185616.mpg): ReadPriv(..32768, normal) @0 -- begin
2013-04-19 21:14:00.836464 D  RingBuf(/myth/tv/9901_20130419185616.mpg): ReadPriv(..32768, normal): ReadDirect checksum 29085
2013-04-19 21:14:00.836714 D  RingBuf(/myth/tv/9901_20130419185616.mpg): ReadPriv(..32768, normal) @0 -- begin
2013-04-19 21:14:00.836933 D  RingBuf(/myth/tv/9901_20130419185616.mpg): ReadPriv(..32768, normal): ReadDirect checksum 59121
2013-04-19 21:14:00.837373 D  RingBuf(/myth/tv/9901_20130419185616.mpg): ReadPriv(..32768, normal) @0 -- begin
2013-04-19 21:14:00.837590 D  RingBuf(/myth/tv/9901_20130419185616.mpg): ReadPriv(..32768, normal): ReadDirect checksum 35982
2013-04-19 21:14:00.837821 D  RingBuf(/myth/tv/9901_20130419185616.mpg): ReadPriv(..32768, normal) @0 -- begin
2013-04-19 21:14:00.838016 D  RingBuf(/myth/tv/9901_20130419185616.mpg): ReadPriv(..32768, normal): ReadDirect checksum 3700
2013-04-19 21:14:00.838196 D  RingBuf(/myth/tv/9901_20130419185616.mpg): ReadPriv(..32768, normal) @0 -- begin
2013-04-19 21:14:00.838391 D  RingBuf(/myth/tv/9901_20130419185616.mpg): ReadPriv(..32768, normal): ReadDirect checksum 7913
2013-04-19 21:14:00.838523 D  RingBuf(/myth/tv/9901_20130419185616.mpg): ReadPriv(..32768, normal) @0 -- begin
2013-04-19 21:14:00.838717 D  RingBuf(/myth/tv/9901_20130419185616.mpg): ReadPriv(..32768, normal): ReadDirect checksum 24182
2013-04-19 21:14:00.839012 D  RingBuf(/myth/tv/9901_20130419185616.mpg): ReadPriv(..32768, normal) @0 -- begin
2013-04-19 21:14:00.839215 D  RingBuf(/myth/tv/9901_20130419185616.mpg): ReadPriv(..32768, normal): ReadDirect checksum 2213
2013-04-19 21:14:00.839468 D  RingBuf(/myth/tv/9901_20130419185616.mpg): ReadPriv(..32768, normal) @0 -- begin
2013-04-19 21:14:00.839670 D  RingBuf(/myth/tv/9901_20130419185616.mpg): ReadPriv(..32768, normal): ReadDirect checksum 2943
2013-04-19 21:14:00.839856 D  RingBuf(/myth/tv/9901_20130419185616.mpg): ReadPriv(..32768, normal) @0 -- begin
2013-04-19 21:14:00.840050 D  RingBuf(/myth/tv/9901_20130419185616.mpg): ReadPriv(..32768, normal): ReadDirect checksum 60582
2013-04-19 21:14:00.840275 D  RingBuf(/myth/tv/9901_20130419185616.mpg): ReadPriv(..32768, normal) @0 -- begin
2013-04-19 21:14:00.840471 D  RingBuf(/myth/tv/9901_20130419185616.mpg): ReadPriv(..32768, normal): ReadDirect checksum 49526
2013-04-19 21:14:00.840578 D  RingBuf(/myth/tv/9901_20130419185616.mpg): ReadPriv(..32768, normal) @0 -- begin
2013-04-19 21:14:00.840772 D  RingBuf(/myth/tv/9901_20130419185616.mpg): ReadPriv(..32768, normal): ReadDirect checksum 14251
2013-04-19 21:14:00.841022 D  RingBuf(/myth/tv/9901_20130419185616.mpg): ReadPriv(..32768, normal) @0 -- begin
2013-04-19 21:14:00.841221 D  RingBuf(/myth/tv/9901_20130419185616.mpg): ReadPriv(..32768, normal): ReadDirect checksum 43667
2013-04-19 21:14:00.841404 D  RingBuf(/myth/tv/9901_20130419185616.mpg): ReadPriv(..32768, normal) @0 -- begin
2013-04-19 21:14:00.841602 D  RingBuf(/myth/tv/9901_20130419185616.mpg): ReadPriv(..32768, normal): ReadDirect checksum 19432
2013-04-19 21:14:00.841765 D  RingBuf(/myth/tv/9901_20130419185616.mpg): ReadPriv(..32768, normal) @0 -- begin
2013-04-19 21:14:00.841959 D  RingBuf(/myth/tv/9901_20130419185616.mpg): ReadPriv(..32768, normal): ReadDirect checksum 56074
2013-04-19 21:14:00.842388 D  RingBuf(/myth/tv/9901_20130419185616.mpg): ReadPriv(..32768, normal) @0 -- begin
2013-04-19 21:14:00.842606 D  RingBuf(/myth/tv/9901_20130419185616.mpg): ReadPriv(..32768, normal): ReadDirect checksum 65334
2013-04-19 21:14:00.843253 D  RingBuf(/myth/tv/9901_20130419185616.mpg): ReadPriv(..32768, normal) @0 -- begin
2013-04-19 21:14:00.843505 D  RingBuf(/myth/tv/9901_20130419185616.mpg): ReadPriv(..32768, normal): ReadDirect checksum 42372
2013-04-19 21:14:00.843733 D  RingBuf(/myth/tv/9901_20130419185616.mpg): ReadPriv(..32768, normal) @0 -- begin
2013-04-19 21:14:00.843929 D  RingBuf(/myth/tv/9901_20130419185616.mpg): ReadPriv(..32768, normal): ReadDirect checksum 6128
2013-04-19 21:14:00.844088 D  RingBuf(/myth/tv/9901_20130419185616.mpg): ReadPriv(..32768, normal) @0 -- begin
2013-04-19 21:14:00.844284 D  RingBuf(/myth/tv/9901_20130419185616.mpg): ReadPriv(..32768, normal): ReadDirect checksum 25839
2013-04-19 21:14:00.844649 D  RingBuf(/myth/tv/9901_20130419185616.mpg): ReadPriv(..32768, normal) @0 -- begin
2013-04-19 21:14:00.844849 D  RingBuf(/myth/tv/9901_20130419185616.mpg): ReadPriv(..32768, normal): ReadDirect checksum 15453
2013-04-19 21:14:00.845041 D  RingBuf(/myth/tv/9901_20130419185616.mpg): ReadPriv(..32768, normal) @0 -- begin
2013-04-19 21:14:00.845237 D  RingBuf(/myth/tv/9901_20130419185616.mpg): ReadPriv(..32768, normal): ReadDirect checksum 14115
2013-04-19 21:14:00.845432 D  RingBuf(/myth/tv/9901_20130419185616.mpg): ReadPriv(..32768, normal) @0 -- begin
2013-04-19 21:14:00.845630 D  RingBuf(/myth/tv/9901_20130419185616.mpg): ReadPriv(..32768, normal): ReadDirect checksum 12734
2013-04-19 21:14:00.846001 D  RingBuf(/myth/tv/9901_20130419185616.mpg): ReadPriv(..32768, normal) @0 -- begin
2013-04-19 21:14:00.846209 D  RingBuf(/myth/tv/9901_20130419185616.mpg): ReadPriv(..32768, normal): ReadDirect checksum 57323
2013-04-19 21:14:00.846380 D  RingBuf(/myth/tv/9901_20130419185616.mpg): ReadPriv(..32768, normal) @0 -- begin
2013-04-19 21:14:00.846575 D  RingBuf(/myth/tv/9901_20130419185616.mpg): ReadPriv(..32768, normal): ReadDirect checksum 42787
2013-04-19 21:14:00.846653 D  RingBuf(/myth/tv/9901_20130419185616.mpg): ReadPriv(..32768, normal) @0 -- begin
2013-04-19 21:14:00.846889 D  RingBuf(/myth/tv/9901_20130419185616.mpg): ReadPriv(..32768, normal): ReadDirect checksum 44519
2013-04-19 21:14:00.847127 D  RingBuf(/myth/tv/9901_20130419185616.mpg): ReadPriv(..32768, normal) @0 -- begin
2013-04-19 21:14:00.847325 D  RingBuf(/myth/tv/9901_20130419185616.mpg): ReadPriv(..32768, normal): ReadDirect checksum 41095
2013-04-19 21:14:00.847743 D  RingBuf(/myth/tv/9901_20130419185616.mpg): ReadPriv(..32768, normal) @0 -- begin
2013-04-19 21:14:00.847973 D  RingBuf(/myth/tv/9901_20130419185616.mpg): ReadPriv(..32768, normal): ReadDirect checksum 23941
2013-04-19 21:14:00.848230 D  RingBuf(/myth/tv/9901_20130419185616.mpg): ReadPriv(..32768, normal) @0 -- begin
2013-04-19 21:14:00.848430 D  RingBuf(/myth/tv/9901_20130419185616.mpg): ReadPriv(..32768, normal): ReadDirect checksum 5151
2013-04-19 21:14:00.848592 D  RingBuf(/myth/tv/9901_20130419185616.mpg): ReadPriv(..32768, normal) @0 -- begin
2013-04-19 21:14:00.848790 D  RingBuf(/myth/tv/9901_20130419185616.mpg): ReadPriv(..32768, normal): ReadDirect checksum 43737
2013-04-19 21:14:00.849087 D  RingBuf(/myth/tv/9901_20130419185616.mpg): ReadPriv(..32768, normal) @0 -- begin
2013-04-19 21:14:00.849291 D  RingBuf(/myth/tv/9901_20130419185616.mpg): ReadPriv(..32768, normal): ReadDirect checksum 9143
2013-04-19 21:14:00.849468 D  RingBuf(/myth/tv/9901_20130419185616.mpg): ReadPriv(..32768, normal) @0 -- begin
2013-04-19 21:14:00.849666 D  RingBuf(/myth/tv/9901_20130419185616.mpg): ReadPriv(..32768, normal): ReadDirect checksum 33915
2013-04-19 21:14:00.849988 D  RingBuf(/myth/tv/9901_20130419185616.mpg): ReadPriv(..32768, normal) @0 -- begin
2013-04-19 21:14:00.850210 D  RingBuf(/myth/tv/9901_20130419185616.mpg): ReadPriv(..32768, normal): ReadDirect checksum 6473
2013-04-19 21:14:00.850410 D  RingBuf(/myth/tv/9901_20130419185616.mpg): ReadPriv(..32768, normal) @0 -- begin
2013-04-19 21:14:00.850608 D  RingBuf(/myth/tv/9901_20130419185616.mpg): ReadPriv(..32768, normal): ReadDirect checksum 26111
2013-04-19 21:14:00.850758 D  RingBuf(/myth/tv/9901_20130419185616.mpg): ReadPriv(..32768, normal) @0 -- begin
2013-04-19 21:14:00.850953 D  RingBuf(/myth/tv/9901_20130419185616.mpg): ReadPriv(..32768, normal): ReadDirect checksum 21546
2013-04-19 21:14:00.851104 D  RingBuf(/myth/tv/9901_20130419185616.mpg): ReadPriv(..32768, normal) @0 -- begin
2013-04-19 21:14:00.851298 D  RingBuf(/myth/tv/9901_20130419185616.mpg): ReadPriv(..32768, normal): ReadDirect checksum 21258
2013-04-19 21:14:00.851856 D  RingBuf(/myth/tv/9901_20130419185616.mpg): ReadPriv(..32768, normal) @0 -- begin
2013-04-19 21:14:00.852074 D  RingBuf(/myth/tv/9901_20130419185616.mpg): ReadPriv(..32768, normal): ReadDirect checksum 28473
2013-04-19 21:14:00.852208 D  RingBuf(/myth/tv/9901_20130419185616.mpg): ReadPriv(..32768, normal) @0 -- begin
2013-04-19 21:14:00.852402 D  RingBuf(/myth/tv/9901_20130419185616.mpg): ReadPriv(..32768, normal): ReadDirect checksum 32732
2013-04-19 21:14:00.852547 D  RingBuf(/myth/tv/9901_20130419185616.mpg): ReadPriv(..32768, normal) @0 -- begin
2013-04-19 21:14:00.852745 D  RingBuf(/myth/tv/9901_20130419185616.mpg): ReadPriv(..32768, normal): ReadDirect checksum 37858
2013-04-19 21:14:00.853003 D  RingBuf(/myth/tv/9901_20130419185616.mpg): ReadPriv(..32768, normal) @0 -- begin
2013-04-19 21:14:00.853197 D  RingBuf(/myth/tv/9901_20130419185616.mpg): ReadPriv(..32768, normal): ReadDirect checksum 39947
2013-04-19 21:14:00.853292 D  RingBuf(/myth/tv/9901_20130419185616.mpg): ReadPriv(..32768, normal) @0 -- begin
2013-04-19 21:14:00.853521 D  RingBuf(/myth/tv/9901_20130419185616.mpg): ReadPriv(..32768, normal): ReadDirect checksum 24623
2013-04-19 21:14:00.854025 D  RingBuf(/myth/tv/9901_20130419185616.mpg): ReadPriv(..32768, normal) @0 -- begin
2013-04-19 21:14:00.854240 D  RingBuf(/myth/tv/9901_20130419185616.mpg): ReadPriv(..32768, normal): ReadDirect checksum 56558
2013-04-19 21:14:00.854405 D  RingBuf(/myth/tv/9901_20130419185616.mpg): ReadPriv(..32768, normal) @0 -- begin
2013-04-19 21:14:00.854603 D  RingBuf(/myth/tv/9901_20130419185616.mpg): ReadPriv(..32768, normal): ReadDirect checksum 31197
2013-04-19 21:14:00.854783 D  RingBuf(/myth/tv/9901_20130419185616.mpg): ReadPriv(..32768, normal) @0 -- begin
2013-04-19 21:14:00.854979 D  RingBuf(/myth/tv/9901_20130419185616.mpg): ReadPriv(..32768, normal): ReadDirect checksum 19032
2013-04-19 21:14:00.855170 D  RingBuf(/myth/tv/9901_20130419185616.mpg): ReadPriv(..32768, normal) @0 -- begin
2013-04-19 21:14:00.855366 D  RingBuf(/myth/tv/9901_20130419185616.mpg): ReadPriv(..32768, normal): ReadDirect checksum 8792
2013-04-19 21:14:00.855541 D  RingBuf(/myth/tv/9901_20130419185616.mpg): ReadPriv(..32768, normal) @0 -- begin
2013-04-19 21:14:00.855737 D  RingBuf(/myth/tv/9901_20130419185616.mpg): ReadPriv(..32768, normal): ReadDirect checksum 65176
2013-04-19 21:14:00.855899 D  RingBuf(/myth/tv/9901_20130419185616.mpg): ReadPriv(..32768, normal) @0 -- begin
2013-04-19 21:14:00.856093 D  RingBuf(/myth/tv/9901_20130419185616.mpg): ReadPriv(..32768, normal): ReadDirect checksum 14169
2013-04-19 21:14:00.856272 D  RingBuf(/myth/tv/9901_20130419185616.mpg): ReadPriv(..32768, normal) @0 -- begin
2013-04-19 21:14:00.856465 D  RingBuf(/myth/tv/9901_20130419185616.mpg): ReadPriv(..32768, normal): ReadDirect checksum 62506
2013-04-19 21:14:00.856637 D  RingBuf(/myth/tv/9901_20130419185616.mpg): ReadPriv(..32768, normal) @0 -- begin
2013-04-19 21:14:00.856858 D  RingBuf(/myth/tv/9901_20130419185616.mpg): ReadPriv(..32768, normal): ReadDirect checksum 4008
2013-04-19 21:14:00.857270 D  RingBuf(/myth/tv/9901_20130419185616.mpg): ReadPriv(..32768, normal) @0 -- begin
2013-04-19 21:14:00.857492 D  RingBuf(/myth/tv/9901_20130419185616.mpg): ReadPriv(..32768, normal): ReadDirect checksum 8010
2013-04-19 21:14:00.858186 D  RingBuf(/myth/tv/9901_20130419185616.mpg): ReadPriv(..32768, normal) @0 -- begin
2013-04-19 21:14:00.858412 D  RingBuf(/myth/tv/9901_20130419185616.mpg): ReadPriv(..32768, normal): ReadDirect checksum 6803
2013-04-19 21:14:00.858493 D  RingBuf(/myth/tv/9901_20130419185616.mpg): ReadPriv(..32768, normal) @0 -- begin
2013-04-19 21:14:00.858687 D  RingBuf(/myth/tv/9901_20130419185616.mpg): ReadPriv(..32768, normal): ReadDirect checksum 47719
2013-04-19 21:14:00.859093 D  RingBuf(/myth/tv/9901_20130419185616.mpg): ReadPriv(..32768, normal) @0 -- begin
2013-04-19 21:14:00.859292 D  RingBuf(/myth/tv/9901_20130419185616.mpg): ReadPriv(..32768, normal): ReadDirect checksum 56610
2013-04-19 21:14:00.859471 D  RingBuf(/myth/tv/9901_20130419185616.mpg): ReadPriv(..32768, normal) @0 -- begin
2013-04-19 21:14:00.859664 D  RingBuf(/myth/tv/9901_20130419185616.mpg): ReadPriv(..32768, normal): ReadDirect checksum 34820
2013-04-19 21:14:00.859851 D  RingBuf(/myth/tv/9901_20130419185616.mpg): ReadPriv(..32768, normal) @0 -- begin
2013-04-19 21:14:00.860048 D  RingBuf(/myth/tv/9901_20130419185616.mpg): ReadPriv(..32768, normal): ReadDirect checksum 62154
2013-04-19 21:14:00.860320 D  RingBuf(/myth/tv/9901_20130419185616.mpg): ReadPriv(..32768, normal) @0 -- begin
2013-04-19 21:14:00.860519 D  RingBuf(/myth/tv/9901_20130419185616.mpg): ReadPriv(..32768, normal): ReadDirect checksum 14764
2013-04-19 21:14:00.860709 D  RingBuf(/myth/tv/9901_20130419185616.mpg): ReadPriv(..32768, normal) @0 -- begin
2013-04-19 21:14:00.860906 D  RingBuf(/myth/tv/9901_20130419185616.mpg): ReadPriv(..32768, normal): ReadDirect checksum 9862
2013-04-19 21:14:00.861124 D  RingBuf(/myth/tv/9901_20130419185616.mpg): ReadPriv(..32768, normal) @0 -- begin
2013-04-19 21:14:00.861321 D  RingBuf(/myth/tv/9901_20130419185616.mpg): ReadPriv(..32768, normal): ReadDirect checksum 40941
2013-04-19 21:14:00.861454 D  RingBuf(/myth/tv/9901_20130419185616.mpg): ReadPriv(..32768, normal) @0 -- begin
2013-04-19 21:14:00.861648 D  RingBuf(/myth/tv/9901_20130419185616.mpg): ReadPriv(..32768, normal): ReadDirect checksum 28250
2013-04-19 21:14:00.861912 D  RingBuf(/myth/tv/9901_20130419185616.mpg): ReadPriv(..32768, normal) @0 -- begin
2013-04-19 21:14:00.862108 D  RingBuf(/myth/tv/9901_20130419185616.mpg): ReadPriv(..32768, normal): ReadDirect checksum 62374
2013-04-19 21:14:00.862271 D  RingBuf(/myth/tv/9901_20130419185616.mpg): ReadPriv(..32768, normal) @0 -- begin
2013-04-19 21:14:00.862464 D  RingBuf(/myth/tv/9901_20130419185616.mpg): ReadPriv(..32768, normal): ReadDirect checksum 14989
2013-04-19 21:14:00.862678 D  RingBuf(/myth/tv/9901_20130419185616.mpg): ReadPriv(..32768, normal) @0 -- begin
2013-04-19 21:14:00.862872 D  RingBuf(/myth/tv/9901_20130419185616.mpg): ReadPriv(..32768, normal): ReadDirect checksum 11551
2013-04-19 21:14:00.863098 D  RingBuf(/myth/tv/9901_20130419185616.mpg): ReadPriv(..32768, normal) @0 -- begin
2013-04-19 21:14:00.863294 D  RingBuf(/myth/tv/9901_20130419185616.mpg): ReadPriv(..32768, normal): ReadDirect checksum 20482
2013-04-19 21:14:00.863534 D  RingBuf(/myth/tv/9901_20130419185616.mpg): ReadPriv(..32768, normal) @0 -- begin
2013-04-19 21:14:00.863728 D  RingBuf(/myth/tv/9901_20130419185616.mpg): ReadPriv(..32768, normal): ReadDirect checksum 30879
2013-04-19 21:14:00.864095 D  RingBuf(/myth/tv/9901_20130419185616.mpg): ReadPriv(..32768, normal) @0 -- begin
2013-04-19 21:14:00.864294 D  RingBuf(/myth/tv/9901_20130419185616.mpg): ReadPriv(..32768, normal): ReadDirect checksum 56594
2013-04-19 21:14:00.864438 D  RingBuf(/myth/tv/9901_20130419185616.mpg): ReadPriv(..32768, normal) @0 -- begin
2013-04-19 21:14:00.864631 D  RingBuf(/myth/tv/9901_20130419185616.mpg): ReadPriv(..32768, normal): ReadDirect checksum 20991
2013-04-19 21:14:00.864848 D  RingBuf(/myth/tv/9901_20130419185616.mpg): ReadPriv(..32768, normal) @0 -- begin
2013-04-19 21:14:00.865044 D  RingBuf(/myth/tv/9901_20130419185616.mpg): ReadPriv(..32768, normal): ReadDirect checksum 35358
2013-04-19 21:14:00.865358 D  RingBuf(/myth/tv/9901_20130419185616.mpg): ReadPriv(..32768, normal) @0 -- begin
2013-04-19 21:14:00.865559 D  RingBuf(/myth/tv/9901_20130419185616.mpg): ReadPriv(..32768, normal): ReadDirect checksum 21416
2013-04-19 21:14:00.865806 D  RingBuf(/myth/tv/9901_20130419185616.mpg): ReadPriv(..32768, normal) @0 -- begin
2013-04-19 21:14:00.866006 D  RingBuf(/myth/tv/9901_20130419185616.mpg): ReadPriv(..32768, normal): ReadDirect checksum 33772
2013-04-19 21:14:00.866259 D  RingBuf(/myth/tv/9901_20130419185616.mpg): ReadPriv(..32768, normal) @0 -- begin
2013-04-19 21:14:00.866454 D  RingBuf(/myth/tv/9901_20130419185616.mpg): ReadPriv(..32768, normal): ReadDirect checksum 22114
2013-04-19 21:14:00.866569 D  RingBuf(/myth/tv/9901_20130419185616.mpg): ReadPriv(..32768, normal) @0 -- begin
2013-04-19 21:14:00.866791 D  RingBuf(/myth/tv/9901_20130419185616.mpg): ReadPriv(..32768, normal): ReadDirect checksum 44731
2013-04-19 21:14:00.866962 D  RingBuf(/myth/tv/9901_20130419185616.mpg): ReadPriv(..32768, normal) @0 -- begin
2013-04-19 21:14:00.867160 D  RingBuf(/myth/tv/9901_20130419185616.mpg): ReadPriv(..32768, normal): ReadDirect checksum 55580
2013-04-19 21:14:00.867584 D  RingBuf(/myth/tv/9901_20130419185616.mpg): ReadPriv(..32768, normal) @0 -- begin
2013-04-19 21:14:00.867796 D  RingBuf(/myth/tv/9901_20130419185616.mpg): ReadPriv(..32768, normal): ReadDirect checksum 54780
2013-04-19 21:14:00.868004 D  RingBuf(/myth/tv/9901_20130419185616.mpg): ReadPriv(..32768, normal) @0 -- begin
2013-04-19 21:14:00.868202 D  RingBuf(/myth/tv/9901_20130419185616.mpg): ReadPriv(..32768, normal): ReadDirect checksum 6487
2013-04-19 21:14:00.868354 D  RingBuf(/myth/tv/9901_20130419185616.mpg): ReadPriv(..32768, normal) @0 -- begin
2013-04-19 21:14:00.868549 D  RingBuf(/myth/tv/9901_20130419185616.mpg): ReadPriv(..32768, normal): ReadDirect checksum 24691
2013-04-19 21:14:00.870812 I  FileRingBuf(/myth/tv/9901_20130419185616.mpg): Seek(181961856,SEEK_SET,unlocked)
2013-04-19 21:14:00.870828 I  RingBuf(/myth/tv/9901_20130419185616.mpg): StopReads()
2013-04-19 21:14:00.870836 I  RingBuf(/myth/tv/9901_20130419185616.mpg): StartReads()
2013-04-19 21:14:00.870849 I  FileRingBuf(/myth/tv/9901_20130419185616.mpg): Seek(): Offset from end: 250000
2013-04-19 21:14:00.870857 I  FileRingBuf(/myth/tv/9901_20130419185616.mpg): Seek(): offset from end: 250000
			 -- ignoring read ahead thread until next seek.
2013-04-19 21:14:00.870917 D  RingBuf(/myth/tv/9901_20130419185616.mpg): ReadPriv(..32768, normal) @0 -- begin
2013-04-19 21:14:00.871138 D  RingBuf(/myth/tv/9901_20130419185616.mpg): ReadPriv(..32768, normal): ReadDirect checksum 25046
2013-04-19 21:14:00.871178 D  RingBuf(/myth/tv/9901_20130419185616.mpg): ReadPriv(..32768, normal) @0 -- begin
2013-04-19 21:14:00.871368 D  RingBuf(/myth/tv/9901_20130419185616.mpg): ReadPriv(..32768, normal): ReadDirect checksum 12324
2013-04-19 21:14:00.871406 D  RingBuf(/myth/tv/9901_20130419185616.mpg): ReadPriv(..32768, normal) @0 -- begin
2013-04-19 21:14:00.871597 D  RingBuf(/myth/tv/9901_20130419185616.mpg): ReadPriv(..32768, normal): ReadDirect checksum 50469
2013-04-19 21:14:00.871636 D  RingBuf(/myth/tv/9901_20130419185616.mpg): ReadPriv(..32768, normal) @0 -- begin
2013-04-19 21:14:00.871827 D  RingBuf(/myth/tv/9901_20130419185616.mpg): ReadPriv(..32768, normal): ReadDirect checksum 62630
2013-04-19 21:14:00.871855 D  RingBuf(/myth/tv/9901_20130419185616.mpg): ReadPriv(..32768, normal) @0 -- begin
2013-04-19 21:14:00.872045 D  RingBuf(/myth/tv/9901_20130419185616.mpg): ReadPriv(..32768, normal): ReadDirect checksum 35700
2013-04-19 21:14:00.872081 D  RingBuf(/myth/tv/9901_20130419185616.mpg): ReadPriv(..32768, normal) @0 -- begin
2013-04-19 21:14:00.872271 D  RingBuf(/myth/tv/9901_20130419185616.mpg): ReadPriv(..32768, normal): ReadDirect checksum 60678
2013-04-19 21:14:00.872330 D  RingBuf(/myth/tv/9901_20130419185616.mpg): ReadPriv(..32768, normal) @0 -- begin
2013-04-19 21:14:00.872521 D  RingBuf(/myth/tv/9901_20130419185616.mpg): ReadPriv(..32768, normal): ReadDirect checksum 42438
2013-04-19 21:14:00.872554 D  RingBuf(/myth/tv/9901_20130419185616.mpg): ReadPriv(..32768, normal) @0 -- begin
2013-04-19 21:14:00.872738 D  RingBuf(/myth/tv/9901_20130419185616.mpg): ReadPriv(..32768, normal): ReadDirect checksum 52909
2013-04-19 21:14:00.872766 D  RingBuf(/myth/tv/9901_20130419185616.mpg): ReadPriv(..12144, normal) @0 -- begin
2013-04-19 21:14:00.872840 D  RingBuf(/myth/tv/9901_20130419185616.mpg): ReadPriv(..12144, normal): ReadDirect checksum 41461
2013-04-19 21:14:00.872848 D  RingBuf(/myth/tv/9901_20130419185616.mpg): ReadPriv(..12144, normal) @0 -- begin
2013-04-19 21:14:00.872919 D  RingBuf(/myth/tv/9901_20130419185616.mpg): ReadPriv(..12144, normal): ReadDirect checksum 41461
2013-04-19 21:14:00.872929 D  RingBuf(/myth/tv/9901_20130419185616.mpg): ReadPriv(..12144, normal) @0 -- begin
2013-04-19 21:14:00.873000 D  RingBuf(/myth/tv/9901_20130419185616.mpg): ReadPriv(..12144, normal): ReadDirect checksum 41461
2013-04-19 21:14:00.873010 D  RingBuf(/myth/tv/9901_20130419185616.mpg): ReadPriv(..12144, normal) @0 -- begin
2013-04-19 21:14:00.873081 D  RingBuf(/myth/tv/9901_20130419185616.mpg): ReadPriv(..12144, normal): ReadDirect checksum 41461
2013-04-19 21:14:00.873091 D  RingBuf(/myth/tv/9901_20130419185616.mpg): ReadPriv(..12144, normal) @0 -- begin
2013-04-19 21:14:00.873162 D  RingBuf(/myth/tv/9901_20130419185616.mpg): ReadPriv(..12144, normal): ReadDirect checksum 41461
2013-04-19 21:14:00.873171 D  RingBuf(/myth/tv/9901_20130419185616.mpg): ReadPriv(..12144, normal) @0 -- begin
2013-04-19 21:14:00.873242 D  RingBuf(/myth/tv/9901_20130419185616.mpg): ReadPriv(..12144, normal): ReadDirect checksum 41461
2013-04-19 21:14:00.873251 D  RingBuf(/myth/tv/9901_20130419185616.mpg): ReadPriv(..12144, normal) @0 -- begin
2013-04-19 21:14:00.873323 D  RingBuf(/myth/tv/9901_20130419185616.mpg): ReadPriv(..12144, normal): ReadDirect checksum 41461
2013-04-19 21:14:00.873379 I  FileRingBuf(/myth/tv/9901_20130419185616.mpg): Seek(0,SEEK_SET,unlocked)
2013-04-19 21:14:00.873385 I  RingBuf(/myth/tv/9901_20130419185616.mpg): StopReads()
2013-04-19 21:14:00.873419 I  RingBuf(/myth/tv/9901_20130419185616.mpg): StartReads()
2013-04-19 21:14:00.873484 I  AFD: codec MP2 has 2 channels
2013-04-19 21:14:00.873610 I  AFD: Opened codec 0x2505bc0, id(MP2) type(Audio)
2013-04-19 21:14:00.873920 I  AFD: codec E-AC3 has 6 channels
2013-04-19 21:14:00.874280 I  AFD: Opened codec 0x250c020, id(E-AC3) type(Audio)
2013-04-19 21:14:00.874394 I  AFD: Opened codec 0x25189a0, id(DVB_SUBTITLE) type(Subtitle)
2013-04-19 21:14:00.874408 I  AFD: codec E-AC3 has 1 channels
2013-04-19 21:14:00.874743 I  AFD: Opened codec 0x25193a0, id(E-AC3) type(Audio)
2013-04-19 21:14:00.874817 I  AFD: Opened codec 0x2519da0, id(DVB_SUBTITLE) type(Subtitle)
2013-04-19 21:14:00.877222 I  AFD: Opened codec 0x249d640, id(H264) type(Video)
2013-04-19 21:14:00.877250 I  RingBuf(/myth/tv/9901_20130419185616.mpg): UpdateRawBitrate(6513Kb)
2013-04-19 21:14:00.877270 I  RingBuf(/myth/tv/9901_20130419185616.mpg): CalcReadAheadThresh(6513 Kb)
			 -> threshhold(3584 KB) min read(288 KB) blk size(128 KB)
2013-04-19 21:14:00.877352 I  RingBuf(/myth/tv/9901_20130419185616.mpg): CalcReadAheadThresh(6513 Kb)
			 -> threshhold(3584 KB) min read(288 KB) blk size(128 KB)
2013-04-19 21:14:00.877361 I  RingBuf(/myth/tv/9901_20130419185616.mpg): Created readAheadBuffer: 4Mb
2013-04-19 21:14:00.877594 N  AudioPlayer: Enabling Audio
2013-04-19 21:14:00.882707 N  Found video height of 1088.  This is unusual and more than likely the video is actually 1080 so mythtranscode will treat it as such.
2013-04-19 21:14:00.904776 E  avfw->Init() failed
2013-04-19 21:14:00.909435 E  Transcoding  failed
2013-04-19 21:14:00.909467 I  Waiting for threads to exit.
[root@mythtv bin]#

Attachments (1)

mythtranscode.fltp.log (9.6 KB) - added by Bill Meek <keemllib@…> 7 years ago.
failing mythtranscode with -v libav, shows fltp codec being chosen.

Download all attachments as: .zip

Change History (10)

comment:1 Changed 7 years ago by Bill Meek <keemllib@…>

Aborted writing a ticket as this came in, suggest that 0770cd5 was the cause.

v0.27-pre2-821-geca2729 Works, 3/30/13 commflag xlator comment
v0.27-pre2-890-g0770c5d Fails, 3/30/13 resync to FFmpeg release/1.1
v0.27-pre2-918-g4132132 Fails, 4/ 2/13 Merge branch 'devel/resync-ffmpeg'
v0.27-pre2-966-g03b9213 Fails, current master as of 4/19/13

Causes the Services API AddLiveStream? to fail.

Changed 7 years ago by Bill Meek <keemllib@…>

Attachment: mythtranscode.fltp.log added

failing mythtranscode with -v libav, shows fltp codec being chosen.

comment:2 Changed 7 years ago by Bill Meek <keemllib@…>

0.27-pre2 mythtranscode log with -v libav attached. When running on eca2729, the s16 codec is used. Commits after it choose the fltp codec and fail.

Working output:

Stream #0:1[0x33](eng), 8, 1/90000: Audio: ac3 (AC-3 / 0x332D4341), 48000 Hz, 5.1(side), s16, 384 kb/s
Stream #0:2[0x34](SPA,), 20, 1/90000: Audio: ac3 (AC-3 / 0x332D4341), 48000 Hz, stereo, s16, 192 kb/s

Failure output:

Stream #0:1[0x33](eng), 8, 1/90000: Audio: ac3 (AC-3 / 0x332D4341), 48000 Hz, 5.1(side), fltp, 384 kb/s
Stream #0:2[0x34](SPA,), 20, 1/90000: Audio: ac3 (AC-3 / 0x332D4341), 48000 Hz, stereo, fltp, 192 kb/s

comment:3 Changed 6 years ago by JYA

need to add floating point support ...

comment:4 Changed 6 years ago by JYA

As a workaround...

re-compile mythtv with --enable-libfaac and use libfaac for audio encoding.

this will work.

comment:5 Changed 6 years ago by cpinkham

libfaac is also the preferred HLS audio encoder based on the recommendation of the ffmpeg developer working on the AAC encoder built into libavcodec.

comment:6 Changed 6 years ago by warpme@…

Right. With AAC works perfectly!. Thx. My family simply kiss You :-p

comment:7 Changed 6 years ago by warpme@…

Well - indeed according to http://www.gossamer-threads.com/lists/mythtv/dev/544865#544865 indeed for recordings with sound different than 2.0, AAC workaround has issue with sound....

comment:8 Changed 6 years ago by Jean-Yves Avenard <jyavenard@…>

Owner: set to Jean-Yves Avenard <jyavenard@…>
Resolution: fixed
Status: newclosed

In 3c8f209d3a09408ef79017e38849a7bd3e8261fb/mythtv:

Various fixes to HLS encoder and mythtranscode.

HLS encoder and mythtranscode assumed they were always receiving 16 bits stereo, which is just not correct with current FFmpeg. Modify them so they can convert on the fly the audio data provided as required.
Simplify avformatwriter so it will detect which audio format to use for the encoder ; this should make it more robust should FFmpeg change its formats once again.
Various simplification: store AudioFormat? into filewriterbase, instead of bits and sample size
Rename "samples" when "frames" were actually used.

Fixes #11497

comment:9 Changed 6 years ago by paulh

Milestone: unknown0.27
Note: See TracTickets for help on using tickets.